IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The task assignee object

Attributes

iduuid
member_iduuid
members.id
task_iduuid
tasks.id
created_attimestamp with time zone
The task assignee object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "member_id": "00000000-0000-0000-0000-000000000000",
  "task_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:09:02.881Z"
}

List task assignees

Filters

idFilter<uuid>
member_idFilter<uuid>
members.id
task_idFilter<uuid>
tasks.id
created_atFilter<timestamp with time zone>

Responses

200

A list of task assignees with the selected columns

206

Partial Content

GET /task_assignees
curl -X GET "https://api.bookingmood.com/v1/task_assignees?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create task assignees

Body

Partial<TaskAssignee> | Array<Partial<TaskAssignee>>

Responses

201

The newly created task assignees with the selected columns

POST /task_assignees
curl -X POST "https://api.bookingmood.com/v1/task_assignees" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete task assignees

Filters

idFilter<uuid>
member_idFilter<uuid>
members.id
task_idFilter<uuid>
tasks.id
created_atFilter<timestamp with time zone>

Responses

204

The deleted task assignees with the selected columns

DELETE /task_assignees
curl -X DELETE "https://api.bookingmood.com/v1/task_assignees" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update task assignees

Filters

idFilter<uuid>
member_idFilter<uuid>
members.id
task_idFilter<uuid>
tasks.id
created_atFilter<timestamp with time zone>

Body

Partial<TaskAssignee>

Responses

204

The updated task assignees with the selected columns

PATCH /task_assignees
curl -X PATCH "https://api.bookingmood.com/v1/task_assignees" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'